Issue Details (XML | Word | Printable)

Key: CORE-5716
Type: Bug Bug
Status: Open Open
Priority: Blocker Blocker
Assignee: Unassigned
Reporter: The Mad Doctor
Votes: 0
Watchers: 2
Operations

If you were logged in you would be able to see more operations.
Firebird Core

invalid size in free() for gpre_current

Created: 18/Jan/18 10:31 PM   Updated: 01/Feb/19 08:43 PM
Component/s: Build Issues / Porting
Affects Version/s: 3.0.2
Fix Version/s: None

Environment: linux 64 with gcc 7.1.0 and glibc 2.26

QA Status: No test


 Description  « Hide
The build dies here:

/building/libreoffice/Firebird-3.0.2.32703-0/gen/Release/firebird/bin/gpre_current -m -z -n /building/libreoffice/Firebird-3.0.2.32703-0/src/yvalve/blob.epp /building/libreoffice/Firebird-3.0.2.32703-0/temp/Release/yvalve/blob.cpp
gpre version LI-V3.0.2.32703 Firebird 3.0
*** Error in `/building/libreoffice/Firebird-3.0.2.32703-0/gen/Release/firebird/bin/gpre_current': free(): invalid size: 0x00007f05a34c72a0 ***
make[3]: *** [make.rules:85: /building/libreoffice/Firebird-3.0.2.32703-0/temp/Release/yvalve/blob.cpp] Aborted
make[3]: *** Deleting file '/building/libreoffice/Firebird-3.0.2.32703-0/temp/Release/yvalve/blob.cpp'


 All   Comments   Change History   Subversion Commits      Sort Order: Ascending order - Click to sort in descending order
The Mad Doctor added a comment - 18/Jan/18 10:35 PM
This is what gdb said:

Reading symbols from gpre_current...done.
(gdb) run
Starting program: /building/libreoffice/gpre_current
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib64/libthread_db.so.1".
gpre: no source file named.
*** Error in `/building/libreoffice/gpre_current': free(): invalid size: 0x00007ffff7fe52a0 ***

Program received signal SIGABRT, Aborted.
0x00007ffff68e96a0 in raise () from /lib64/libc.so.6

Adriano dos Santos Fernandes added a comment - 18/Jan/18 11:37 PM
This is a pure Firebird sources or has LibreOffice patches?

Julien Nabet added a comment - 01/Feb/19 08:43 PM
IMHO, if this result comes from LibreOffice, this tracker should be closed.

For the record, LO still uses 3.0.0, there's some work in progress to upgrade to 3.0.4 (see https://gerrit.libreoffice.org/#/c/67180/) but as you may see in gerrit comments, there are some problems.
See https://gerrit.libreoffice.org/#/c/67255/ too.